%define	module	Carp-Clan

%define	version	5.3

%define	rel	3
%define	release	%mkrel %{rel}

%define	pdir	Carp

%define TEST	1
%{?_with_test: %{expand: %%global TEST 1}}
%{?_without_test: %{expand: %%global TEST 0}}

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release:	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch

%description
%{module} module for perl.
This module reports errors from the perspective of the caller of a
"clan" of modules, similar to "Carp.pm" itself. But instead of giving
it a number of levels to skip on the calling stack, you give it a
pattern to characterize the package names of the "clan" of modules
which shall never be blamed for any error.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%if %{TEST}
LANG=C %make test
%endif

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%{_mandir}/*/*
%{perl_vendorlib}/%{pdir}

%changelog
* Sat Jun 17 2006 Scott Karns <scottk@mandriva.org> 5.3-3mdv2007.0
- Updated spec to comply with Mandriva perl packaging policies

* Sat Jun 04 2005 Luca Berra <bluca@vodka.it> 5.3-2mdk 
- rebuild

* Wed May 05 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.3-1mdk
- 5.3

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.2-1mdk
- 5.2
- drop $RPM_OPT_FLAGS, noarch..

* Thu Feb 12 2004 Luca Berra <bluca@vodka.it> 5.1-3mdk
- rebuild for perl 5.8.3

* Tue Dec 30 2003 Luca Berra <bluca@vodka.it> 5.1-2mdk
- add parent dirs (distriblint)

* Sun Oct 05 2003 Luca Berra <bluca@vodka.it> 5.1-1mdk
- Initial build.
